package com.fs.hisStore.service;

import com.fs.his.dto.CPWUserAndAddressAddDTO;
import com.fs.his.dto.CPWUserInfoCollectionAddDTO;
import com.fs.his.vo.CPWPrescribeDataVO;
import com.fs.his.vo.FsQuestionAndAnswerVO;
import com.fs.his.vo.SubmitUserInformationVO;

import java.util.List;

/**
 * 对接-超拼网-信息采集服务
 * */
public interface IOpenApiCPWUserInformationService {
    /**
     * 获取信息采集问题模板--超拼网
     * */
    public FsQuestionAndAnswerVO getInformationTemplate();

    /**
     * 提交患者待开方信息--超拼网
     * */
    SubmitUserInformationVO submitPatientPrescriptionInfo(CPWUserInfoCollectionAddDTO collectionAddDTO);

    /**
     * 推送处方信息给第三方(超拼网)
     * */
    public List<CPWPrescribeDataVO> pushPrescription();





    /**
     * 创建用户信息与地址--超拼网----------已弃用！！！！
     * */
    public SubmitUserInformationVO createUserInformationCPW(CPWUserAndAddressAddDTO cpwUserAndAddressAddDTO);

    /**
     * 提交用户采集信息--超拼网----------已弃用！！！！
     * */
    public SubmitUserInformationVO submitUserInformation(CPWUserInfoCollectionAddDTO collectionAddDTO);


    /**
     * 处方推送到第三方成功，更新处方状态为已推送
     * */
    int prescriptionReceipt(List<Long> prescriptionIds);
}
